from Objects.xhe_base import *


# Plgn_PasswordGenerator
class XHEPASSWORDGENERATOR(XHEBaseObject):
    # server initialization
    def __init__(self, server: str, password: str=""):
        self.server = server
        self.password = password
        self.prefix = "Plgn_PasswordGenerator"


    # Сгенерировать пароль
    def generate(self, length: int=-1, includeUpperCase: bool=True, includeRussianLetters: bool=False, includeDigits: bool=True, includeNonAlphanumericCharacters: bool=True) -> str:
        params = {"length": length, "includeUpperCase": includeUpperCase, "includeRussianLetters": includeRussianLetters, "includeDigits": includeDigits, "includeNonAlphanumericCharacters": includeNonAlphanumericCharacters}
        return self.call_get("generate", params)

