# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, passwordgenerator)

# начало теста
test.echo_header('generate')

password = passwordgenerator.generate()
print('with default parameters:')
print(f'password: {password}')

password2 = passwordgenerator.generate(includeUpperCase=False, includeRussianLetters=False, includeDigits=False, includeNonAlphanumericCharacters=False)
print('\nincludeUpperCase=False, includeRussianLetters=False, includeDigits=False, includeNonAlphanumericCharacters=False:')
print(f'password2: {password2}')

password3 = passwordgenerator.generate(includeUpperCase=True, includeRussianLetters=False, includeDigits=False, includeNonAlphanumericCharacters=False)
print('\nincludeUpperCase=True, includeRussianLetters=False, includeDigits=False, includeNonAlphanumericCharacters=False:')
print(f'password3: {password3}')

password4 = passwordgenerator.generate(includeUpperCase=True, includeRussianLetters=False, includeDigits=True, includeNonAlphanumericCharacters=False)
print('\nincludeUpperCase=True, includeRussianLetters=False, includeDigits=True, includeNonAlphanumericCharacters=False:')
print(f'password4: {password4}')

password5 = passwordgenerator.generate(includeUpperCase=True, includeRussianLetters=True, includeDigits=True, includeNonAlphanumericCharacters=True)
print('\nincludeUpperCase=True, includeRussianLetters=True, includeDigits=True, includeNonAlphanumericCharacters=True:')
print(f'password5: {password5}')

# конец теста
print('\n<hr><br>')

# выход
app.quit()
